fluentd missing deps in building containers for RHEL 8

Bug #1841096 reported by wes hayutin on 2019-08-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Critical
Unassigned

Bug Description

The lack of fluentd blocks scenario001, a critical job for tripleo

http://logs.rdoproject.org/60/21860/8/check/tripleo-ci-rhel-8-scenario001-standalone-rdo/53bc843/logs/undercloud/var/log/heat-launcher/undercloud_deploy-lg7dk5fo/heat.log.txt.gz

http://logs.rdoproject.org/56/678056/2/openstack-check/tripleo-build-containers-rhel-8-master/0ca385d/logs/containers-consolidated-builds.log.txt.gz

No match for argument: fluentd
No match for argument: rubygem-fluent-plugin-elasticsearch
No match for argument: rubygem-fluent-plugin-grok-parser
No match for argument: rubygem-fluent-plugin-rewrite-tag-filter
No match for argument: rubygem-fluent-plugin-secure-forward

[ /tmp/kolla-i64ld56j/docker/fluentd/fluentd-build.log ]
===========================================================
STEP 1: FROM 127.0.0.1:8787/tripleomaster/rhel-binary-base:25996d84bb4d440d92871fe4323bf4675b98f081_ac26b9c3
STEP 2: LABEL maintainer="Kolla Project (https://launchpad.net/kolla)" name="fluentd" build-date="20190822"
STEP 3: LABEL fluentd_version="0.12" fluentd_binary="fluentd"
STEP 4: RUN usermod --append --home /var/lib/fluentd --groups kolla fluentd && usermod --append --groups mysql fluentd && mkdir -p /var/lib/fluentd && chown -R 42474:42474 /var/lib/fluentd
STEP 5: RUN dnf -y install fluentd gcc-c++ hostname make ruby-devel rubygem-fluent-plugin-elasticsearch rubygem-fluent-plugin-grok-parser rubygem-fluent-plugin-rewrite-tag-filter rubygem-fluent-plugin-secure-forward && dnf clean all && rm -rf /var/cache/dnf
delorean-os-net-config-25996d84bb4d440d92871fe4 183 kB/s | 1.1 MB 00:06
dlrn-master-rhel8-deps 639 kB/s | 2.3 MB 00:03
Custom Repositories - deps 4.8 MB/s | 2.2 MB 00:00
Red Hat Enterprise Linux 8 for x86_64 - AppStre 15 MB/s | 7.7 MB 00:00
Red Hat Enterprise Linux 8 for x86_64 - BaseOS 17 MB/s | 4.7 MB 00:00
Red Hat Enterprise Linux 8 for x86_64 - High Av 3.6 MB/s | 520 kB 00:00
No match for argument: fluentd
Package hostname-3.20-6.el8.x86_64 is already installed.
No match for argument: rubygem-fluent-plugin-elasticsearch
No match for argument: rubygem-fluent-plugin-grok-parser
No match for argument: rubygem-fluent-plugin-rewrite-tag-filter
No match for argument: rubygem-fluent-plugin-secure-forward
Error: Unable to find a match

wes hayutin (weshayutin) on 2019-08-22
description: updated
wes hayutin (weshayutin) on 2019-08-22
description: updated
chandan kumar (chkumar246) wrote :

https://review.opendev.org/#/c/668851/ removes fluentd, we need to fix scenario03 files.

See also:
cleanup fluentd overrides https://review.opendev.org/678206

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers